diff -ru otp_src_R12B-3/lib/os_mon/src/memsup.erl otp_src_R12B-3-syn10/lib/os_mon/src/memsup.erl
--- otp_src_R12B-3/lib/os_mon/src/memsup.erl	2007-11-26 10:55:46.000000000 -0800
+++ otp_src_R12B-3-syn10/lib/os_mon/src/memsup.erl	2009-10-27 17:16:11.000000000 -0700
@@ -693,8 +693,15 @@
 	io_lib:fread("Pages active:~d.", skip_to_eol(Str2)),
     {ok, [Inactive],Str4} =
 	io_lib:fread("Pages inactive:~d.", skip_to_eol(Str3)),
-    {ok, [Wired],_} =
-	io_lib:fread("Pages wired down:~d.", skip_to_eol(Str4)),
+    Str5 = skip_to_eol(Str4),
+    {ok, [Wired],_} = 
+	case io_lib:fread("Pages wired down:~d.", Str5) of
+	    {error,{fread,input}} ->
+		%% skip extra line (Pages speculative) in Snow Leopard
+		io_lib:fread("Pages wired down:~d.", skip_to_eol(Str5));
+	    Result ->
+		Result
+	end,
     NMemUsed  = (Wired + Active + Inactive) * 4000,
     NMemTotal = NMemUsed + Free * 4000,
     {NMemUsed,NMemTotal};
